Bug 13564 - secondary serial console doesn't work anymore.
secondary serial console doesn't work anymore.
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-07-07 07:57 EDT by Pekka Savola
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-19 10:07:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-07-07 07:57:27 EDT
Lilo doesn't work properly w/ serial console _if_ the serial console is
a secondary console.  Ie:
 append="console=ttyS0,38400 console=tty0"

Doesn't work: LILO-prompt won't appear, you won't see the kernel messages
in boot.  

If the positions of console= definitions are reversed, it works _almost_ as
it should.  It doesn't matter whether message= has been defined in

Almost: you get only 'LILO' message.  If you hit any key, you get to the
normal lilo prompt alongside with 0x40 error.  After that, everything seems
to work fine.

Downgrading lilo to the one shipped w/ Red Hat 6.2 makes it work again.
Comment 1 Pekka Savola 2000-07-10 11:12:52 EDT
I tested this a bit, with and without special patches.

The big, Stormix-adapted graphical boot menu -patch is causing the problems
here.  I left it out of the RPM, and serial console works fine.

Comment 2 Pekka Savola 2000-07-10 15:45:33 EDT
Preston hacked in lilo-0.21-graphical.patch, assigning to him.

More analysis on this revealed a couple of things:

1) without message=, LILO Prompt appears ok and it accepts user input
LILO boot:
Loading linux...........

2) After that no kernel messages are shown, either in booting or in shutdown
(stopping md processes).

3) I've had lilo freeze after 'Loading linux...........', killing the boot
process twice now.  The computer had to be resetted; the VGA screen didn't show
anything other than that 'Loading linux...'.  I'm not sure if that's coincidence.
Comment 3 Pekka Savola 2000-07-19 10:07:29 EDT
Anyone interested in testing this, btw, should be able to check it out without
serial console by using:

append="console=tty0 console=ttyS0,38400"

Now, kernel messages after Loading linux... should be shown on monitor (but aren't)
LILO boot:
Loading linux...........

Comment 4 Pekka Savola 2000-08-01 03:01:50 EDT
Seems to work in beta5.

Note You need to log in before you can comment on or make changes to this bug.